@import url("https://fonts.googleapis.com/css2?family=Playfair+Display");
@import url("https://fonts.googleapis.com/css2?family=Montserrat");
body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
  font-family: "Montserrat", sans-serif;
  background: linear-gradient(190deg, #e2f9ee, #83a093);
  min-height: 100vh;
}
h1 {
  font-weight: 600;
  font-size: 2.5em;
  color: white;
}
#mainPhoto {
  width: 100%;
  height: 400px;
  object-fit: cover;
  transition: 0.3s;
}
.imgCarousel {
  width: 100px;
  height: 100px;
  object-fit: cover;
  transition: 0.3s;
  margin: 0 2px;
  border: 0px solid #daecdf;
}
.imgCarousel:hover {
  width: 110px;
  height: 110px;
  border: 3px solid #daecdf;
  margin: 3px;
}
img {
  border-radius: 10px;
  cursor: pointer;
  box-shadow: 0px 0px 10px 8px rgba(0, 0, 0, 0.1);
}
.image-wrapper {
  margin-top: 10px;
}
.wrapper {
  position: relative;
}
.wrapper:hover #mainPhoto,
.wrapper:hover .caption-wrapper {
  opacity: 1;
  height: 450px;
}
.caption-wrapper {
  top: 0;
  opacity: 0;
  position: absolute;
  height: 400px;
  width: 100%;
  background: rgba(0, 0, 0, 0.3);
  border-radius: 10px;
  transition: 0.3s;
}
.caption-wrapper #caption {
  font-family: serif;
  font-weight: 700;
  text-transform: capitalize;
  font-size: 50px;
  margin-top: 50px;
  text-align: center;
  color: #daecdf;
}
.caption-wrapper .country {
  margin-top: -5px;
  color: #daecdf;
  text-align: center;
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 3px;
  font-size: 18px;
}
.caption-wrapper .btn {
  margin: 180px 0;
  text-align: center;
}
.caption-wrapper .btn a {
  background: rgba(255, 255, 255, 0.8);
  box-shadow: 0px 5px 5px 2px rgba(33, 47, 48, 0.3);
  color: rgba(33, 47, 48, 1);
  font-weight: 600;
  text-decoration: none;
  padding: 10px 30px;
  border-radius: 25px;
  text-align: center;
  transition: 0.3s;
}
.caption-wrapper .btn a:hover {
  background: rgba(33, 47, 48, 0.9);
  border: 2px solid #daecdf;
  color: #daecdf;
}
